# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

import mascot_registry.grpcproto.service_pb2 as service__pb2


class RegistryStub(object):
    # missing associated documentation comment in .proto file
    pass

    def __init__(self, channel):
        """Constructor.

    Args:
      channel: A grpc.Channel.
    """
        self.CreateDevice = channel.unary_unary(
            "/mascot_registry_pb.Registry/CreateDevice",
            request_serializer=service__pb2.CreateDeviceMessage.SerializeToString,
            response_deserializer=service__pb2.ErrorReply.FromString,
        )
        self.DeleteDevice = channel.unary_unary(
            "/mascot_registry_pb.Registry/DeleteDevice",
            request_serializer=service__pb2.DeleteDeviceMessage.SerializeToString,
            response_deserializer=service__pb2.ErrorReply.FromString,
        )
        self.PublishServer = channel.unary_unary(
            "/mascot_registry_pb.Registry/PublishServer",
            request_serializer=service__pb2.PublishServerMessage.SerializeToString,
            response_deserializer=service__pb2.ErrorReply.FromString,
        )
        self.UnpublishServer = channel.unary_unary(
            "/mascot_registry_pb.Registry/UnpublishServer",
            request_serializer=service__pb2.UnpublishServerMessage.SerializeToString,
            response_deserializer=service__pb2.ErrorReply.FromString,
        )
        self.ListServers = channel.unary_unary(
            "/mascot_registry_pb.Registry/ListServers",
            request_serializer=service__pb2.Empty.SerializeToString,
            response_deserializer=service__pb2.ListServersReply.FromString,
        )
        self.ListDevices = channel.unary_unary(
            "/mascot_registry_pb.Registry/ListDevices",
            request_serializer=service__pb2.ListDevicesMessage.SerializeToString,
            response_deserializer=service__pb2.ListDevicesReply.FromString,
        )
        self.PublishDevice = channel.unary_unary(
            "/mascot_registry_pb.Registry/PublishDevice",
            request_serializer=service__pb2.DeviceName.SerializeToString,
            response_deserializer=service__pb2.ErrorReply.FromString,
        )
        self.UnpublishDevice = channel.unary_unary(
            "/mascot_registry_pb.Registry/UnpublishDevice",
            request_serializer=service__pb2.DeviceName.SerializeToString,
            response_deserializer=service__pb2.ErrorReply.FromString,
        )
        self.Locate = channel.unary_unary(
            "/mascot_registry_pb.Registry/Locate",
            request_serializer=service__pb2.DeviceName.SerializeToString,
            response_deserializer=service__pb2.LocateReply.FromString,
        )


class RegistryServicer(object):
    # missing associated documentation comment in .proto file
    pass

    def CreateDevice(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def DeleteDevice(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def PublishServer(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def UnpublishServer(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def ListServers(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def ListDevices(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def PublishDevice(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def UnpublishDevice(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")

    def Locate(self, request, context):
        # missing associated documentation comment in .proto file
        pass
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details("Method not implemented!")
        raise NotImplementedError("Method not implemented!")


def add_RegistryServicer_to_server(servicer, server):
    rpc_method_handlers = {
        "CreateDevice": grpc.unary_unary_rpc_method_handler(
            servicer.CreateDevice,
            request_deserializer=service__pb2.CreateDeviceMessage.FromString,
            response_serializer=service__pb2.ErrorReply.SerializeToString,
        ),
        "DeleteDevice": grpc.unary_unary_rpc_method_handler(
            servicer.DeleteDevice,
            request_deserializer=service__pb2.DeleteDeviceMessage.FromString,
            response_serializer=service__pb2.ErrorReply.SerializeToString,
        ),
        "PublishServer": grpc.unary_unary_rpc_method_handler(
            servicer.PublishServer,
            request_deserializer=service__pb2.PublishServerMessage.FromString,
            response_serializer=service__pb2.ErrorReply.SerializeToString,
        ),
        "UnpublishServer": grpc.unary_unary_rpc_method_handler(
            servicer.UnpublishServer,
            request_deserializer=service__pb2.UnpublishServerMessage.FromString,
            response_serializer=service__pb2.ErrorReply.SerializeToString,
        ),
        "ListServers": grpc.unary_unary_rpc_method_handler(
            servicer.ListServers,
            request_deserializer=service__pb2.Empty.FromString,
            response_serializer=service__pb2.ListServersReply.SerializeToString,
        ),
        "ListDevices": grpc.unary_unary_rpc_method_handler(
            servicer.ListDevices,
            request_deserializer=service__pb2.ListDevicesMessage.FromString,
            response_serializer=service__pb2.ListDevicesReply.SerializeToString,
        ),
        "PublishDevice": grpc.unary_unary_rpc_method_handler(
            servicer.PublishDevice,
            request_deserializer=service__pb2.DeviceName.FromString,
            response_serializer=service__pb2.ErrorReply.SerializeToString,
        ),
        "UnpublishDevice": grpc.unary_unary_rpc_method_handler(
            servicer.UnpublishDevice,
            request_deserializer=service__pb2.DeviceName.FromString,
            response_serializer=service__pb2.ErrorReply.SerializeToString,
        ),
        "Locate": grpc.unary_unary_rpc_method_handler(
            servicer.Locate,
            request_deserializer=service__pb2.DeviceName.FromString,
            response_serializer=service__pb2.LocateReply.SerializeToString,
        ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
        "mascot_registry_pb.Registry", rpc_method_handlers
    )
    server.add_generic_rpc_handlers((generic_handler,))
